Game Controllers overview

You can use Game Controllers to add, configure, and customize game controller hardware such as joysticks and game pads on your computer. For example, you can use Game Controllers to add older gaming devices so you can play those games on your computer.

You can also test, calibrate, and troubleshoot your game controllers. You can also remove game controllers from your computer.

Related Topics


Installing a joystick or other game controller

There are two ways to install game controllers, depending on whether you have a USB controller, or a game port controller. Consult the device manual to determine which type of device you have, and then click an option.

  • USB controller

  • Game port controller

You can add the same number of game port devices as there are physical game ports on your computer (most machines have one). However, USB devices only require open USB ports. Most computers with USB ports have at least two, and sometimes more.


Remove a game controller

Microsoft Windows graphic

To remove a game controller

  1. Open Game Controllers in Control Panel.
  2. Under Installed game controllers, click the controller you want to remove, and then click Remove.

Notes

  • XOX
  • If you have a USB controller, you can remove it by unplugging it from your computer.


Activate the pedal or rudder of a game controller

To activate the pedal or rudder of a game controller

  1. Open Game Controllers in Control Panel.
  2. Under Installed game controllers, click the controller with the rudder or pedal you want to activate, and then click Remove.
  3. Click Add, and then click the controller with the rudder or pedal you want to activate.
  4. Select the Rudder/Pedals check box, and then click OK to reinstall the controller.

Notes

  • XOX
  • If the Rudder/Pedals check box is unavailable, your game controller does not support this feature.
  • You must first remove the controller before you can activate it so you can specify new settings for it.


Test a game controller

To test a game controller

  1. Open Game Controllers in Control Panel.
  2. Under Installed game controllers, click the controller you want to test, and then click Properties.
  3. On the Test tab, test your controller by moving or pressing each control, including the stick, wheel, yoke, pads, and buttons as appropriate.

    After you perform an action with the controller, view the results on the Test tab.

Notes

  • XOX
  • If the controller is not functioning properly, it may need to be calibrated. To calibrate it, on the Settings tab, click Calibrate.
  • To return the controller to the default settings, on the Settings tab, click Reset to Default.


Calibrate a game controller

To calibrate a game controller

  1. Open Game Controllers in Control Panel.
  2. Under Installed game controllers, click the controller you want to calibrate, and then click Properties.
  3. On the Settings tab, click Calibrate, and then follow the instructions on your screen.

Notes

  • XOX
  • To return the controller to the default settings, on the Settings tab, click Reset to default.


Assign a game controller to a different port

To assign a game controller to a different port

If you plug a game controller into a different port, you need to assign the game controller to the new port.

  1. Open Game Controllers in Control Panel.
  2. Click Add.
  3. In the Game controllers list, click the controller you want to add.
  4. In the Game port list, click the game port the controller is attached to, and then click OK.

Notes

  • XOX
  • The Game port list is displayed only if your computer has more than one game port.


Change the preferred device

To change the preferred device

If a game does not recognize your controller, you can change the preferred device.

  1. Open Game Controllers in Control Panel.
  2. Under Installed game controllers, click the controller you want to change, and then click Advanced.
  3. In the Preferred device list, click the device you want, and then click OK.

Note

  • XOX


Diagnosing game port controller issues

Diagnosing game controller issues

If a game port controller does not install properly, you can use Device Manager or the Hardware troubleshooter to troubleshoot the problem.

  • If the controller appears in Device Manager, right-click the controller name and click Properties. Problems and suggested actions are displayed in Device Status. XOX
  • You can also use the Hardware troubleshooter to diagnose and solve problems with hardware devices such as game controllers. Start the Hardware troubleshooter.


Resolving USB controller installation issues

Resolving USB controller installation issues

  • In Device Manager, USB game controllers are listed under Human Interface devices (in Devices by type view). If the controller does not appear in Device Manager, then USB may not be enabled in BIOS or EFI. When you are prompted as you start your computer, enter BIOS or EFI setup, and enable USB.
  • If USB is enabled in BIOS or EFI but the USB host controller does not appear in Device Manager (under Universal Serial Bus controllers), or a yellow warning icon appears next to the host controller name, then the version of BIOS or EFI may be outdated. Contact the maker or vendor for your computer and obtain the current version of BIOS or EFI.
  • If the controller appears in Device Manager, right-click the controller name and then click Properties. Problems and suggested actions are displayed under Device status. XOX
  • USB ports have a separate entry in Device Manager. To check the device status, click Universal Serial Bus controllers, right-click USB Root Hub, and then click Properties. If you do not see USB Root Hub, you might not have a USB port installed on your computer.
  • You can also use the Hardware troubleshooter to diagnose and solve problems with hardware devices such as USB game controllers. Start the Hardware troubleshooter.


Install a game port game controller

To install a game port game controller

  1. Attach the game controller to a game port.
  2. Open Game Controllers in Control Panel.
  3. Click Add.
  4. In the Game controllers list, click the controller you attached, and then click OK.

Notes

  • XOX
  • If your controller is not in the Game controllers list and you have a device installation disk, insert the disk, reinstall the device, and follow the instructions on your screen.
  • If your controller is not in the Game controllers list, and you do not have a device installation disk, consult the device manual to see if a listed device is compatible with yours. If so, select the compatible device from the list, and then click OK. You can also click Custom and create a custom device from the options listed.
  • Most game ports are preset when you install a game controller.


Install a USB game controller

To install a USB game controller

  • Attach the game controller to the USB port.

Note

  • The computer can be on when you attach the controller. Windows will detect the device when you attach it.